<?
include_once '../../sys/inc/start.php';
include_once '../../sys/inc/compress.php';
include_once '../../sys/inc/sess.php';
include_once '../../sys/inc/home.php';
include_once '../../sys/inc/settings.php';
include_once '../../sys/inc/db_connect.php';
include_once '../../sys/inc/ipua.php';
include_once '../../sys/inc/fnc.php';
include_once '../../sys/inc/user.php';

$set['title'] = 'Топ украденных в Гарем';
include_once '../../sys/inc/thead.php';
title();
aut();
err();

echo '<div class="foot">';
echo '<img src="/style/icons/str2.gif" /> <a href="index.php?">Гаремы</a> | <b>Топ украденных в Гарем</b><br />';
echo '</div>';

$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `garem` 
 		LEFT JOIN `user` on `garem`.`user_id` = `user`.`id` ORDER BY `garem`.`cost`"),0);

if ($k_post == 0)
{
	echo '<div class="mess">';
	echo 'В рейтинге нет пользователей';
	echo '</div>';
}

$set['p_str'] = 9;
$k_page = k_page($k_post,$set['p_str']);
$page = page($k_page);
$start = $set['p_str'] * $page - $set['p_str'];

$q = mysql_query("SELECT `garem`.`user_id`, `garem`.`thief_id`, `user`.`nick`, `user`.`pol` FROM `garem` 
 		LEFT JOIN `user` on `garem`.`user_id` = `user`.`id` ORDER BY `garem`.`cost` DESC LIMIT $start, $set[p_str]");

echo '<table class="table">';

while ($rab = mysql_fetch_array($q)) 
{
	// Лесенка
	echo '<div class="' . ($num % 2 ? "nav1" : "nav2") . '">';
	$num++;
	
	echo user::avatar($rab['user_id'], 0) . user::nick($rab['user_id']) . '<br />';
	
	// cтатистика гарема
	$static = mysql_fetch_array(mysql_query("SELECT * FROM `garem_stat` WHERE `user_id` = '" . $rab['user_id'] . "'"));
	
	echo 'Цена: <b style="color:blue">' . $static['cost'] . '</b> баллов';
	echo '</div>';
}

echo '</table>';

if ($k_page>1)str("?",$k_page,$page); // Вывод страниц

require 'links.inc.php';

echo '<div class="foot">';
echo '<img src="/style/icons/str2.gif" /> <a href="index.php?">Гаремы</a> | <b>Топ украденных в Гарем</b><br />';
echo '</div>';

include_once '../../sys/inc/tfoot.php';
?>
